<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="cart">
	<table border="0" cellspacing="1" cellpadding="2" style="background-color: #999999; font-size: 12px; width: 678px" align="center" >
	<xsl:for-each select="parts">
		<tr bgcolor="#000000">
			<td style="text-align: center" width="30" bgcolor="#ffffff"><xsl:eval>i++</xsl:eval></td>
			<td style="text-align: center" width="52" bgcolor="#ffffff"><xsl:value-of select="refno"/></td>
			<td style="text-align: left" width="120" bgcolor="#ffffff"><xsl:value-of select="code"/></td>
			<td style="text-align: left" width="212" bgcolor="#ffffff"><xsl:value-of select="desc"/></td>
			<td style="text-align: right" width="60" bgcolor="#ffffff">
				<input type="text" name="qty" style="width:60px;text-align:right" onChange="datainsert();">
					<xsl:attribute name="value"><xsl:value-of select="qty"/></xsl:attribute>
				</input>
			</td>
			<td style="text-align: left" width="110" bgcolor="#ffffff">
				<input type="text" name="remarks" style="width:110px" onChange="datainsert();">
					<xsl:attribute name="value"><xsl:value-of select="remarks"/></xsl:attribute>
				</input>
			</td>
			<td style="text-align: center" width="56" bgcolor="#ffffff">
				<input type="button" name="delete" value="Delete">
					<xsl:attribute name="onClick">cdelete('<xsl:value-of select="id"/>');</xsl:attribute>
				</input>
			</td>
		</tr>
	</xsl:for-each>
	</table>
</xsl:template>

<xsl:script><![CDATA[
	var i=1;
	function createID(id){
		cnt++;
		var strdesc = id.selectSingleNode("id").nodeTypedValue;
		if(strdesc==""){
			strid="blank" + cnt
		}else{
			strid=strdesc
		}
		return strid;
	}
]]></xsl:script>

</xsl:stylesheet>
