<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="fig">
<IMG name="partsimg" alt="" border="1" onLoad="">
<xsl:attribute name="src"><xsl:value-of select="@path"/></xsl:attribute>
<xsl:attribute name="onError">this.outerText=''</xsl:attribute>
<xsl:attribute name="width"><xsl:eval>fpow(this)</xsl:eval></xsl:attribute>
<xsl:attribute name="height"><xsl:eval>fpoh(this)</xsl:eval></xsl:attribute>
</IMG>
</xsl:template>

<xsl:template match="p-info">
<xsl:for-each select="link/pos">
<DIV>
	<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="../../id"/></xsl:attribute>
	<xsl:attribute name="style">
		POSITION: absolute;
		BORDER:0px solid gray;
		left:<xsl:eval>pox(this)</xsl:eval>;
		top:<xsl:eval>poy(this)</xsl:eval>;
		width:<xsl:eval>pow(this)</xsl:eval>;
		height:<xsl:eval>poh(this)</xsl:eval>;
	</xsl:attribute>
	<xsl:attribute name="onMouseOver">
		over('<xsl:value-of select="@id"/>');
	</xsl:attribute>
	<xsl:attribute name="onMouseOut">
		out('<xsl:value-of select="@id"/>');
		popupdelete();
	</xsl:attribute>
	<TABLE border="0">
	<xsl:attribute name="id">t_<xsl:value-of select="@id"/></xsl:attribute>
	<xsl:attribute name="style">
		width:<xsl:eval>pow(this)</xsl:eval>;
		height:<xsl:eval>poh(this)</xsl:eval>;
		filter:alpha(opacity='25' style='2');
	</xsl:attribute>
	<xsl:attribute name="onClick">
		sendText('<xsl:value-of select="../../key"/>','<xsl:value-of select="@id"/>');
	</xsl:attribute>
	<xsl:attribute name="oncontextmenu">
		sendText('<xsl:value-of select="../../key"/>','<xsl:value-of select="@id"/>');
	</xsl:attribute>
	<TR><TD>
	</TD></TR>
	</TABLE>
<SPAN></SPAN>
</DIV>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
