<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="fig">
<xsl:choose>
	<xsl:when test='../remarks[. $ne$ ""]'>
		<A NAME="Remarks"></A>
		<TABLE border="1" width="80%" CELLSPACING="1" CELLPADDING="1">
		<TR STYLE="font-size:10pt; font-family:Arial">
		<TD>
		<B>Remarks</B><BR/><BR/>
		<pre>
		<xsl:value-of select="../remarks"/>
		</pre>
		</TD></TR>
		</TABLE>
	</xsl:when>
	<xsl:otherwise>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="p-info">
<xsl:for-each select="link/pos">
<DIV>
	<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
	<xsl:attribute name="title"><xsl:value-of select="../../id"/></xsl:attribute>
	<xsl:attribute name="style">
		POSITION: absolute;
		BORDER:0px solid grey;
		left:<xsl:eval>pox(this)</xsl:eval>;
		top:<xsl:eval>poy(this)</xsl:eval>;
		width:<xsl:eval>pow(this)</xsl:eval>;
		height:<xsl:eval>poh(this)</xsl:eval>;
	</xsl:attribute>
	<TABLE border="0">
	<xsl:attribute name="id">t_<xsl:value-of select="@id"/></xsl:attribute>
	<xsl:attribute name="style">
		width:<xsl:eval>pow(this)</xsl:eval>;
		height:<xsl:eval>poh(this)</xsl:eval>;
		filter:alpha(opacity='25' style='2');
	</xsl:attribute>
	<TR><TD>
	</TD></TR>
	</TABLE>
<SPAN></SPAN>
</DIV>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
