<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="cart">
<table>
<tr><td>Model No.:</td><td><xsl:value-of select="modelno"/></td></tr>
<tr><td>Order No.:</td><td><xsl:value-of select="orderno"/></td></tr>
</table>
<table border="2" cellpadding="0" cellspacing="0" width="645" style="border-style: solid; border-color: black; border-collapse:collapse; font-size:12px;">
	<tr style="height:20pt; text-align:center;">
		<td class="chart" style="width:30px; border:1.5pt solid black;">No.</td>
		<td class="chart" style="width:50px; border:1.5pt solid black;">Ref.No.</td>
		<td class="chart" style="width:90px; border:1.5pt solid black;">Part No.</td>
		<td class="chart" style="width:190px; border:1.5pt solid black;">Part Name &amp; Description</td>
		<td class="chart" style="width:30px; border:1.5pt solid black;">Quantity</td>
		<td class="chart" style="width:210px; border:1.5pt solid black;">Remarks</td>
	</tr>

	<xsl:for-each select="parts">
		<tr height="18" style="height:16pt">
			<td class="chart" style="text-align:center;"><span style="width:4px"></span><xsl:eval>i++</xsl:eval></td>
			<td class="chart" style="text-align:center;margin-left:10px;padding-left:4px"><xsl:value-of select="refno"/></td>
			<td class="chart" style="padding-left:4px"><xsl:value-of select="code"/></td>
			<td class="chart" style="padding-left:4px"><xsl:value-of select="desc"/></td>
			<td class="chart" style="text-align:right;padding-right:4px"><xsl:value-of select="qty"/></td>
			<td class="chart" style="padding-left:4px"><xsl:value-of select="remarks"/></td>
		</tr>
	</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="qty">
  <xsl:eval>setpvalue(this.text)</xsl:eval>
</xsl:template>

<xsl:script>
<![CDATA[
var i=1;
]]>
</xsl:script>

</xsl:stylesheet>
