<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
<xsl:template match="/">
<div style='DISPLAY:block;' id="TREE_TOP">
	<xsl:apply-templates />
</div>
</xsl:template>
<xsl:template match="pc">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="contents">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="illust">
	<xsl:script language="JavaScript">var i=0;</xsl:script>
	<xsl:for-each select="item">
		<DIV style='COLOR:#0000FF;CURSOR:hand;MARGIN:1px;WIDTH:100%;'>
			<xsl:attribute name="id"><xsl:eval>make_seq();</xsl:eval></xsl:attribute>
			<xsl:attribute name="onMouseOver">over(this)</xsl:attribute>
			<xsl:attribute name="onMouseOut">out(this)</xsl:attribute>
			<xsl:attribute name="onClick">
				showillust('<xsl:value-of select="."/>','<xsl:value-of select="./@format"/>');
				pselect(this.id);
			</xsl:attribute>
			<SPAN>Reference Materials</SPAN>
		</DIV>
	</xsl:for-each>
</xsl:template>

<xsl:template match="sec">
	<DIV style="COLOR:#707070;CURSOR:hand;MARGIN:1px;font-family:'MS UI Gothic';font-weight:bold; WIDTH:100%;">
		<xsl:attribute name="onClick">
			swMenu('<xsl:value-of select="@id"/>','<xsl:value-of select="@span"/>');
		</xsl:attribute>
		<img src="../image/m.png"><xsl:attribute name="id"><xsl:value-of select="@span"/></xsl:attribute></img>Model No. : <xsl:value-of select="@title"/>
	</DIV>
	<DIV style="display:block;font-family:'MS UI Gothic';">
		<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		<xsl:for-each select="blk">
			<DIV style="COLOR:#000000;CURSOR:hand;MARGIN:1px;WIDTH:100%;height:19px;">
				<xsl:attribute name="id"><xsl:value-of select="@no"/></xsl:attribute>
				<xsl:attribute name="onMouseOver">over(this)</xsl:attribute>
				<xsl:attribute name="onMouseOut">out(this)</xsl:attribute>
				<xsl:attribute name="onClick">
					pselect('<xsl:value-of select="@no"/>');
					showdoc('<xsl:value-of select="@lno"/>','<xsl:value-of select="@fno"/>','<xsl:value-of select="@no"/>');
				</xsl:attribute>
				<table width="100%" cellspacing="0" cellpadding="1" border="0">
					<tr style="font-size:13px; color:#000000;">
						<xsl:attribute name="id">l_<xsl:value-of select="@no"/></xsl:attribute>
						<td style="width:4px"><span style="width:4px"></span></td>
						<td><xsl:value-of select="@name"/></td>
					</tr>
				</table>
			</DIV>
			<table style="display:none">
				<xsl:attribute name="id">table<xsl:value-of select="@no"/></xsl:attribute>
				<tr width="20px"><td><br/></td><td>
				<div style='display:block;'>
					<div style='display:block;position: absolute;'>
						<xsl:attribute name="id">result<xsl:value-of select="@no"/></xsl:attribute>
						<br/>
					</div>
				</div>
				<img alt="" border="1" style="cursor:hand;width:200px;">
					<xsl:attribute name="name">pre<xsl:value-of select="@no"/></xsl:attribute>
					<xsl:attribute name="src">../../data/image/<xsl:value-of select="@fno"/>_pre.png</xsl:attribute>
					<xsl:attribute name="onClick">
						pselect('<xsl:value-of select="@no"/>');
						showdoc('<xsl:value-of select="@lno"/>','<xsl:value-of select="@fno"/>','<xsl:value-of select="@no"/>');
					</xsl:attribute>
				</img>
			</td></tr></table>
		</xsl:for-each>
	</DIV>
</xsl:template>
<xsl:script>
<![CDATA[
	function make_seq(){
		i++;
		var temp;
		temp=i + "";
		switch(temp.length){
			case 1:
				temp="00" + temp;
				break;
			case 2:
				temp="0" + temp;
				break;
			case 3:
				temp=temp;
				break;
		}
		temp="i" + temp
		return temp;
	}
]]>
</xsl:script>
</xsl:stylesheet>
