<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template>
<xsl:script language="JavaScript">var cnt=0;var strid;</xsl:script>
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="parts">
	<xsl:choose>
		<xsl:when test="./key[. $eq$ 'FIN']">
			<a>
				<xsl:attribute name="id">block<xsl:value-of select="./info/block_no"/></xsl:attribute>
				<table width="840px" border="1" cellspacing="0" cellpadding="5" bordercolordark="#AAAAAA" bordercolor="#AAAAAA" style="font-size: 8pt;">
					<xsl:for-each select="info">
						<TR bgcolor="#EEEEEE"><TD STYLE="text-align:left;height:24px"><xsl:value-of select="pname"/></TD></TR>
					</xsl:for-each>
				</table>
			</a>
		</xsl:when>
		<xsl:otherwise>

<a>
	<xsl:attribute name="id">block<xsl:value-of select="./info/block_no"/></xsl:attribute>
	<div style="border:1px solid #ffffff;width:840px" onMouseOver="over2(this)" onMouseOut="out2(this)">
		<xsl:attribute name="id">t_<xsl:eval>createID(this)</xsl:eval></xsl:attribute>

		<TABLE border="0" width="840px" STYLE="color:black; background-color:'#ffffff'; font-size:12px;" onMouseOver="over(this)" onMouseOut="out(this)" CELLSPACING="0" CELLPADDING="0">
		<xsl:attribute name="id"><xsl:eval>strid</xsl:eval></xsl:attribute>
		<xsl:for-each select="info">
			<TR style="height:18px" valign="top">
				<xsl:attribute name="id"><xsl:value-of select="./sid"/></xsl:attribute>
				<xsl:attribute name="onClick">
					sendText("<xsl:eval>strid</xsl:eval>","<xsl:value-of select="../key"/>","<xsl:value-of select="./pno"/>","<xsl:value-of select="./qty/a"/>","<xsl:value-of select="./block_no"/>");
					makepopup("<xsl:value-of select="./sid"/>");
					lineselect(this);
				</xsl:attribute>
				<xsl:attribute name="oncontextmenu">
					sendText("<xsl:eval>strid</xsl:eval>","<xsl:value-of select="../key"/>","<xsl:value-of select="./pno"/>","<xsl:value-of select="./qty/a"/>","<xsl:value-of select="./block_no"/>");
					makepopup("<xsl:value-of select="./sid"/>");
					lineselect(this);
				</xsl:attribute>
				<xsl:attribute name="onmouseout">
					popupdelete();
				</xsl:attribute>
			<xsl:attribute name="title">Part Name &amp; Description:<xsl:value-of select="pname"/>
PartNo.:<xsl:value-of select="pno"/>
Remarks:<xsl:value-of select="remarks"/></xsl:attribute>

				<TD STYLE="width:90px;text-align:center; font-weight: bold;">
					<input type="button" name="b_porder" value="Order" style="width:84px;height:22px; font-size:12px;">
						<xsl:attribute name="onClick">
							add_cart("<xsl:value-of select="./sid"/>");
						</xsl:attribute>
					</input>
				</TD>
				<TD STYLE="width:35px;text-align:left;font-weight: bold;padding-top:1px;padding-bottom:1px">
					<span style="width:8px"></span>
					<xsl:choose>
						<xsl:when test="./mark[. = 'S']">
							<image alt="">
								<xsl:attribute name="src">../image/safe.png</xsl:attribute>
							</image>
						</xsl:when>
					</xsl:choose>
				</TD>
				<TD STYLE="width:59px;text-align:center;padding-top:3px;padding-bottom:3px"><xsl:value-of select="no"/><br /></TD>
				<TD STYLE="width:120px;text-align:left;padding-top:3px;padding-bottom:3px;padding-left:3px;padding-right:3px"><xsl:value-of select="pno"/><br/></TD>
				<TD STYLE="width:250px;text-align:left;padding-top:3px;padding-bottom:3px;padding-left:3px;padding-right:3px"><xsl:value-of select="pname"/><br/></TD>
				<TD STYLE="width:50px;text-align:right;padding-top:3px;padding-bottom:3px;padding-left:3px;padding-right:3px"><xsl:value-of select="qty/a"/><br/></TD>
				<TD STYLE="width:200px;text-align:left;padding-top:3px;padding-bottom:3px;padding-left:3px;padding-right:3px"><xsl:value-of select="remarks"/><br/></TD>
			</TR>
		</xsl:for-each>
		</TABLE>
	</div>
</a>

		</xsl:otherwise>
	</xsl:choose>
</xsl:template>
<xsl:script><![CDATA[
	function createID(id){
		cnt++;
		var strdesc = id.selectSingleNode("id").nodeTypedValue;
		var objInfo = id.selectSingleNode("info");
		var strblk=objInfo.selectSingleNode("block_no").nodeTypedValue;

		if(strdesc==""){
			strid="blank" + cnt;
		}else{
			strid=strblk + "@" + strdesc;
		}
		return strid;
	}
]]></xsl:script>
</xsl:stylesheet>
